Support » Plugin: Powerkit – Supercharge your WordPress Site » Full WordPress 5.x support?

  • Update: fast, friendly and detailed answer from the Author/Developer. Plugin works great, no problems so far!

    My first review was:

    Now, version 1.6.6 is released and still no „official“ support for WordPress 5.x? I use this plugin with the Authentictheme so it world be great if this plugin would fully support WP 5.x and Gutenberg.

    This plugin provides many additional features and work so far but I don‘t need a „super plugin“ with too many features…

    Hopefully this plugin will work with the next upcoming WordPress release 5.1.

    • This topic was modified 9 months, 1 week ago by Daniel L.. Reason: Raised rating from 3 to 4 stars
    • This topic was modified 9 months, 1 week ago by Daniel L..
Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author codesupplyco

    (@codesupplyco)

    Hello.

    Could you please provide more information?

    What do you mean by no official support for WordPress 5.0?

    Powerkit is already fully compliant with the latest WordPress version.

    Hi,

    when I use the Gutenberg editor and create an image gallery, It’s not possible to set the type (justified, slider). This must be done within the classic editor.

    I want also refer to this thread:
    https://wordpress.org/support/topic/expected-eta-for-wp5support/

    Shortcode UI button is fixed, but for the slider galleries the use of the classic editor is still mandatory. Personally, I would prefer Gutenberg because I don’t want to search if a feature/option is available in the Classic or Gutenberg editor and have to switch between these two.

    Also, before I select a plugin for installation, I check first if the “tested up to” information match my current WordPress version. If not, then I take a look at the “last updated” field if the plugin was updated within the last months. This plugin was recently updated, but the “tested up to” field shows only 4.9.9.

    I know that this does not mean that a plugin is not working but I look at such informations first. When I see “4.9.9” I assume, it’s not 100% compatible.

    I have otherwise raised the rating from 3 to 4 stars, because the plugin works reliable and stable.

    I know, these are only small details and I’m sure you’ll integrate more options into Gutenberg with the next upcoming updates…

    Plugin Author codesupplyco

    (@codesupplyco)

    Hi Daniel,

    I would like to reassure you, that every feature in Powerkit is compatible with WordPress 5.x.x.

    I’ve just updated the docs for the slider gallery. You may currently insert them in the Gutenberg editor via a Classic block (not the classic editor).

    We’ll be creating a justified and slider gallery blocks too. But it takes enormous amount of time and even such huge market players as Jetpack haven’t migrated their mosaic galleries to blocks yet.

    You’re right about the “Tested up to” tag, for some reason the updated version didn’t make it into the WordPress repository. We’ll fix in on Monday.

    We’re just a small team and do our best to make sure everything is working correctly. You may see how often Powerkit and our themes are updated in changelogs.

    We have recently been awarded with the WP Compliant Badge on ThemeForest by Envato. Code Supply Co. is the first major theme author owning this badge. We spent a few months optimizing our themes and making them compliant with the new block editor.

    Of course, we have a lot of nice features to integrate into Powerkit and every available widget and shortcode will become a block eventually.

    Would highly appreciate if you could reconsider your rating, as it’s of great importance for us as a plugin author.

    If you still need any help with any feature of Powerkit, it’ll be my pleasure to help you.

    Thanks!

    Sergey
    Code Supply Co.

    Hi Sergey,

    thank you very much for your answer – 5 stars now!

    Yes, when I searched Themforest for a new theme, I saw this Badge. Congratulations! And: I’m also really happy with the Authentic Theme. Rated also with 5 stars.

    Thank you for your theme(s) and this plugin!

    Daniel

    Plugin Author codesupplyco

    (@codesupplyco)

    Hi Daniel,

    Thank you so much! It really means a lot to us.

    We’ll keep improving our products over time.

    Thanks again.

    Sergey

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Full WordPress 5.x support?’ is closed to new replies.